ftofix(3)

NAME
ftofix - Converts a floating point value to fixed point. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

fixed ftofix(double x);

DESCRIPTION
Converts a floating point value to fixed point. Unlike itofix(), this function clamps values which could overflow the type conversion, setting `errno' to ERANGE in the process if this happens. Example:
   fixed number;
   number = itofix(-40000);
   ASSERT(fixfloor(number) == -32768);
   number = itofix(64000);
   ASSERT(fixfloor(number) == 32767);
   ASSERT(!errno); /* This will fail. */

RETURN VALUE
Returns the value of the floating point value converted to fixed point clamping overflows (and setting `errno').

SEE ALSO
fixtof(3), itofix(3), fixtoi(3), exfixed(3), exspline(3), exupdate(3)